summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'eclass/guile.eclass')
-rw-r--r--eclass/guile.eclass3
1 files changed, 2 insertions, 1 deletions
diff --git a/eclass/guile.eclass b/eclass/guile.eclass
index 9310cd060da9..323d04ef1152 100644
--- a/eclass/guile.eclass
+++ b/eclass/guile.eclass
@@ -190,8 +190,9 @@ _guile_multibuild_wrapper() {
local -x SLOTTED_ED="${SLOTTED_D}${EPREFIX}/"
local -x GUILE_EFFECTIVE_VERSION="${GUILE_CURRENT_VERSION}"
mkdir -p "${BUILD_DIR}" || die
- cd "${BUILD_DIR}" || die
+ pushd "${BUILD_DIR}" >/dev/null || die
"$@"
+ popd >/dev/null || die
}
# @VARIABLE: SLOTTED_D